aboutsummaryrefslogtreecommitdiff
path: root/security/stunnel/pkg-install
diff options
context:
space:
mode:
authorPeter Pentchev <roam@FreeBSD.org>2002-09-20 09:29:11 +0000
committerPeter Pentchev <roam@FreeBSD.org>2002-09-20 09:29:11 +0000
commit88cba5e3822546fa74a37cf8b27dad39985ddf42 (patch)
tree25b220206192f9e8f235711830641af9770c53a2 /security/stunnel/pkg-install
parent0df64d11860f1765951c5511d11c9ad365d284c8 (diff)
Notes
Diffstat (limited to 'security/stunnel/pkg-install')
-rw-r--r--security/stunnel/pkg-install41
1 files changed, 41 insertions, 0 deletions
diff --git a/security/stunnel/pkg-install b/security/stunnel/pkg-install
new file mode 100644
index 000000000000..2753471a8467
--- /dev/null
+++ b/security/stunnel/pkg-install
@@ -0,0 +1,41 @@
+#! /bin/sh
+#
+# $FreeBSD$
+# taken from devel/perforce
+
+PATH=/bin:/usr/sbin
+
+STUNNEL_USER=${STUNNEL_USER:-stunnel}
+STUNNEL_GROUP=${STUNNEL_GROUP:-stunnel}
+
+case $2 in
+POST-INSTALL)
+ USER=${STUNNEL_USER}
+ GROUP=${STUNNEL_GROUP}
+
+ if pw group show "${GROUP}" 2>/dev/null; then
+ echo "You already have a group \"${GROUP}\", so I will use it."
+ else
+ if pw groupadd ${GROUP} ; then
+ echo "Added group \"${GROUP}\"."
+ else
+ echo "Adding group \"${GROUP}\" failed..."
+ exit 1
+ fi
+ fi
+
+ if pw user show "${USER}" 2>/dev/null; then
+ echo "You already have a user \"${USER}\", so I will use it."
+ else
+ if pw useradd ${USER} -g ${GROUP} -h - \
+ -d /nonexistent -c "stunnel Daemon" -s /sbin/nologin
+ then
+ echo "Added user \"${USER}\"."
+ else
+ echo "Adding user \"${USER}\" failed..."
+ exit 1
+ fi
+ fi
+
+ ;;
+esac